^Palettes:
    # Base colors    
    FixedColorPalette@Red1:
        Base: terrain
        Name: Red1
        RemapIndex: 153, 154, 155
        Color: e00000  
        Ramp: 0.4
    FixedColorPalette@Red:
        Base: Red1
        Name: Red
        RemapIndex: 26, 30
        Color: 400000  
        Ramp: 1
		
    FixedColorPalette@Orange1:
        Base: terrain
        Name: Orange1
        RemapIndex: 153, 154, 155
        Color: e08000  
        Ramp: 0.4
    FixedColorPalette@Orange:
        Base: Orange1
        Name: Orange
        RemapIndex: 26, 30
        Color: 402000  
        Ramp: 1
        
    FixedColorPalette@Yellow1:
        Base: terrain
        Name: Yellow1
        RemapIndex: 153, 154, 155
        Color: e0e000  
        Ramp: 0.4
    FixedColorPalette@Yellow:
        Base: Yellow1
        Name: Yellow
        RemapIndex: 26, 30
        Color: 404000  
        Ramp: 1

    # Shades	
    PaletteFromPaletteWithAlpha@Orange50:
        Name: Orange50
        BasePalette: Orange
        Alpha: 0.50	

^ColoredTrees:        
    WithIdleOverlay@Red:
		Sequence: idle
        RequiresCondition: Red || RedOrange
		Palette: Red
    WithIdleOverlay@Orange:
		Sequence: idle
        RequiresCondition: Orange 
		Palette: Orange
    WithIdleOverlay@Yellow:
		Sequence: idle
        RequiresCondition: Yellow || OrangeYellow
		Palette: Yellow
        
    WithIdleOverlay@Orange50:
		Sequence: idle
        RequiresCondition: RedOrange || OrangeYellow
		Palette: Orange50
     
    ConditionManager:
    GrantRandomCondition@COLORS:
        Conditions: Red, RedOrange, Orange, OrangeYellow, Yellow
    WithSpriteBody:
		RequiresCondition: !Red && !RedOrange && !Orange && !OrangeYellow && !Yellow

T03:
	Inherits@COLOR: ^ColoredTrees
T10:
	Inherits@COLOR: ^ColoredTrees
T11:
	Inherits@COLOR: ^ColoredTrees
T12:
	Inherits@COLOR: ^ColoredTrees
T13:
	Inherits@COLOR: ^ColoredTrees
T14:
	Inherits@COLOR: ^ColoredTrees
T15:
	Inherits@COLOR: ^ColoredTrees
T17:
	Inherits@COLOR: ^ColoredTrees
TC02:
	Inherits@COLOR: ^ColoredTrees
TC05:
	Inherits@COLOR: ^ColoredTrees